package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.BGYP;
import com.sa.ibiz.demo.demo.service.dto.BGYPSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[BGYP] 服务对象接口
 */
public interface BGYPService extends IService<BGYP>{

		BGYP get(BGYP et);
	boolean remove(BGYP et);
	boolean update(BGYP et);
	boolean checkKey(BGYP et);
	boolean create(BGYP et);
	boolean getDraft(BGYP et);
    List<BGYP> listDefault(BGYPSearchFilter filter) ;
	Page<BGYP> searchDefault(BGYPSearchFilter filter);
	/**	 实体[BGYP] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }